# Typst Template for Website

This is highly experimental, use at your own risque. 
I recommend forking and making your own modifications.

## Install

This is not in Universe, if you wand to use this package, symlink the repo to local:

```
mkdir -p ~/.local/share/typst/packages/local/template-web/
ln -s $(pwd) ~/.local/share/typst/packages/local/template-web/0.0.1
```

## Usage

Then to use it in your typst file:

```typst
#import "@local/template-web:0.0.1": *

#set document(
  title: "TeTyTe",
  author: "Me!",
  description: "Test of the TTT template",
)

#show: webpage.with(
  "http://test.example.com",
)

#lorem(200)
```

See `test_template/main.typ` for an example.

Test with `typst watch --features html --format html main.typ`.
